Bug 125647 - tg3 apparently fails during auto negotion
Summary: tg3 apparently fails during auto negotion
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-09 17:13 UTC by Dave Tetreault
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:24:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Tetreault 2004-06-09 17:13:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After upgrding from kernel-2.4.21-9.ELsmp to kernel-2.4.21-15.ELsmp tg3 
either fails to negotiate speed and duplex with a Cisco Catalyst 4501R
switch or the line drops just after negotion.  
The host hardware is a Dell 2650 with onboard nics.  The driver/nic
will work with other switches such as a Dell Power Connect.

Log entries:
Jun  9 03:33:11 phils kernel: tg3: eth0: Link is down.
Jun  9 03:33:14 phils kernel: tg3: eth0: Link is up at 1000 Mbps, full
duplex.
Jun  9 03:33:14 phils kernel: tg3: eth0: Flow control is on for TX and
on for RX
.
Jun  9 03:33:19 phils kernel: tg3: eth0: Link is down.
Jun  9 03:33:22 phils kernel: tg3: eth0: Link is up at 1000 Mbps, full
duplex.
Jun  9 03:33:22 phils kernel: tg3: eth0: Flow control is on for TX and
on for RX
.


Version-Release number of selected component (if applicable):
kernel-2.4.21-15.ELsmp

How reproducible:
Always

Steps to Reproduce:
1.Connect to Catalyst Switch
2.
3.
    

Actual Results:  Line can be observed being brought up and down
continuosly 

Expected Results:  Line should stay up

Additional info:

Comment 1 Les Warden 2004-08-10 18:29:22 UTC
I had same type symptoms. Catalyst switch set to 100/Full. Tried to
use both mii-tool and ethtool to hard set eth0, but it always went to
100HD. Set switch to autonegotiate; set eth0 to autonegotiate, and it
connected at 100FD. Odd. Some of my settings....

unit = Dell 2650
kernel = 2.4.21-15.0.3.ELsmp
network:
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: tg3
desc: "Broadcom Corporation|NetXtreme BCM5701 Gigabit Ethernet"
network.hwaddr: 00:0B:DB:A8:6E:29
vendorId: 14e4
deviceId: 1645
subVendorId: 1028
subDeviceId: 0121
pciType: 1
pcibus:  5
pcidev:  6
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth1
driver: tg3
desc: "Broadcom Corporation|NetXtreme BCM5701 Gigabit Ethernet"
network.hwaddr: 00:0B:DB:A8:6E:2A
vendorId: 14e4
deviceId: 1645
subVendorId: 1028
subDeviceId: 0121
pciType: 1
pcibus:  5
pcidev:  8
pcifn:  0
-
log:
**before autoneg**
Aug 10 06:34:23 bes kernel: tg3: eth0: Link is down.
Aug 10 06:34:26 bes kernel: tg3: eth0: Link is up at 100 Mbps, half
duplex.
Aug 10 06:34:26 bes kernel: tg3: eth0: Flow control is off for TX and
off for RX.
Aug 10 06:51:53 bes kernel: tg3: eth0: Link is down.

**after autoneg**
Aug 10 06:51:55 bes kernel: tg3: eth0: Link is up at 100 Mbps, full
duplex.
Aug 10 06:51:55 bes kernel: tg3: eth0: Flow control is off for TX and
off for RX.

--lwarden@illinois.net

Comment 2 David Miller 2004-08-10 19:08:59 UTC
That is expected behavior in comment #1.

If the switch is not doing auto-negotiaton and the link has
been forced to a certain speed, tg3 hardware has no way to
determine the link settings.  Without auto-negotiation there
is no way for the switch to tell the tg3 PHY what duplex
is in use, so half-duplex is used in such situations.

If you tell ethtool to disable auto-negotiation it should
do full-duplex for you if you ask it. You haven't indicated
if you are doing that, are you?


Comment 3 RHEL Product and Program Management 2007-10-19 19:24:35 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.